__DRM_MODESET_LOCK_A(9)

NAME
__drm_modeset_lock_all - internal helper to grab all modeset locks

SYNOPSIS

int __drm_modeset_lock_all(struct drm_device * dev, bool trylock);

ARGUMENTS

dev
    DRM device

trylock
    trylock mode for atomic contexts

DESCRIPTION

This is a special version of drm_modeset_lock_all which can also be used in atomic contexts. Then trylock must be set to true.

RETURNS

0 on success or negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT